package sgc.portal.cs.cs0604.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0604.dto.CS06040001USearch;
import sgc.portal.cs.cs0604.persistence.CS06040001UMapper;

import java.util.List;

@Service
public class CS06040001UService {
	
    private final CS06040001UMapper mapper;

    public CS06040001UService(CS06040001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList1(CS06040001USearch search) {
        return mapper.getList1(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CS06040001USearch search) {
        return mapper.getList2(search);
    }
    
    public List<EasyHashMap<String, Object>> getList3(CS06040001USearch search) {
        return mapper.getList3(search);
    }
    
    public List<EasyHashMap<String, Object>> getList4(CS06040001USearch search) {
        return mapper.getList4(search);
    }
    
}
